﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.Misc;

namespace WTP_CustomButton
{

    class MyButtonUIElement : ButtonUIElement
    {
        private TileHeaderUIElement tileHeaderEl;
        private Appearance hotTrackButtonAppearance;

        public MyButtonUIElement(UIElement parent, Appearance hotTrackButtonAppearance)
            : base(parent)
        {
            this.hotTrackButtonAppearance = hotTrackButtonAppearance;
        }

        #region Base Class Overrides
        public override UIElementBorderStyle BorderStyle
        {
            get
            {
                return UIElementBorderStyle.None;
            }
        }

        public override UIElementButtonStyle ButtonStyle
        {
            get
            {
                return UIElementButtonStyle.Borderless;
            }
        }

        protected override System.Drawing.Color DefaultBackColor
        {
            get
            {
                return Color.Transparent;
            }
        }

        protected override Color DefaultForeColor
        {
            get
            {
                return Color.Black;
            }
        }

        protected override void DrawBackColor(ref UIElementDrawParams drawParams)
        {
            if(this.IsHotTracked)
            {
                var appData = this.hotTrackButtonAppearance.Data;
                drawParams.DrawBackColor(ref appData, this.RectInsideBorders,
                    this.RectInsideBorders, true);
            }
            else
            {
                base.DrawBackColor(ref drawParams);
            }
        }

        #endregion Base Class Overrides

    }

}
